﻿#include <iostream>
#include <vector>
#include <string>
#include <algorithm>
#include <tuple>

using namespace std;

const int MAXN = 1e7;
int n, m;

void read() {
	cin >> m >> n;
}

int func1(int x) {
	return abs(-m * x * x + (4 * m - 5 * m * m) * x + (m * n * n - 4 * m * n + 5 * m * m * n) / 2);
}

int func2(int x) {
	//return abs(-5 * n / 2 * x * x + (4 * n - n * n / 2) * x + (5 * m * m * n + m * n * n - 4 * m * n) / 2);
	return abs(-5 * n / 2 * x * x + (4 * n - n * n / 2) * x + (5 * m * m * n + m * n * n - 4 * m * n) / 2);
}

void solve() {
	read();
	int res = 1e9;
	int x;
	bool e = true;
	for (int i = 0; i <= n; i++) {
		int num = func1(i);
		if (res > num) {
			e = true;
			res = num;
			x = i;
		}
	}
	for (int i = 0; i <= m; i++) {
		int num = func2(i);
		if (res > num) {
			e = false;
			res = num;
			x = i;
		}
	}

	if (e) {
		cout << "V";
		x++;
	}
	else {
		cout << "H";
	}
	cout << " " << x << " ";

}

int main() {
	int t;
	cin >> t;
	while (t--) {
		solve();
	}

	return 0;
}